org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.constants

## Class VirtualFireAlarmConstants

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.constants.VirtualFireAlarmConstants

-     public class VirtualFireAlarmConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADAPTER_TOPIC_PROPERTY`
    `static String` | `APIM_APPLICATION_TOKEN_VALIDITY_PERIOD`
    `static String` | `BROKER_URL_PROPERTY_KEY`
    `static String` | `BULB_CONTEXT`
    `static String` | `CARBON_CONFIG_PORT_OFFSET`
    `static int` | `CARBON_DEFAULT_PORT_OFFSET`
    `static String` | `CHAT_PROPERTY_KEY`
    `static String` | `CLEAR_SESSION_PROPERTY_KEY`
    `static String` | `CLIENT_ID_PROPERTY_KEY`
    `static String` | `CLIENT_JID_PROPERTY_KEY`
    `static String` | `CONTENT_TRANSFORMATION`
    `static String` | `CONTENT_VALIDATION`
    `static String` | `DCR_PROPERTY_KEY`
    `static String` | `DEFAULT_CARBON_LOCAL_IP_PROPERTY`
    `static int` | `DEFAULT_MQTT_PORT`
    `static String` | `DEVICE_PLUGIN_DEVICE_ID`
    `static String` | `DEVICE_PLUGIN_DEVICE_NAME`
    `static String` | `DEVICE_TYPE`
    `static String` | `DEVICE_TYPE_PROVIDER_DOMAIN`
    `static String` | `HOST_KEY`
    `static String` | `JID_PROPERTY_KEY`
    `static String` | `JSON_MESSAGE_KEY`
    `static String` | `JSON_SERIAL_KEY`
    `static String` | `JSON_SIGNATURE_KEY`
    `static String` | `MESSAGE_TYPE_PROPERTY_KEY`
    `static String` | `MQTT_ADAPTER_NAME`
    `static String` | `MQTT_ADAPTER_TOPIC_PROPERTY_NAME`
    `static String` | `MQTT_ADAPTER_TYPE`
    `static String` | `MQTT_BROKER_HOST`
    `static String` | `MQTT_PORT`
    `static String` | `PASSWORD_PROPERTY_KEY`
    `static String` | `PERM_ENROLL_FIRE_ALARM`
    `static String` | `PERM_OWNING_DEVICE_VIEW`
    `static String` | `POLICY_CONTEXT`
    `static String` | `PORT_KEY`
    `static String` | `QOS_PROPERTY_KEY`
    `static String` | `RESOURCE`
    `static String` | `ROLE_NAME`
    `static String` | `SCOPES_PROPERTY_KEY`
    `static String` | `SERVER_NAME`
    `static String` | `STATE_OFF`
    `static String` | `STATE_ON`
    `static String` | `SUBJECT_PROPERTY_KEY`
    `static String` | `SUBSCRIBED_TOPIC`
    `static String` | `TEMPERATURE_EVENT_TABLE`
    `static String` | `TEMPERATURE_STREAM_DEFINITION`
    `static String` | `TOPIC`
    `static String` | `URL_PREFIX`
    `static String` | `USERNAME_PROPERTY_KEY`
    `static String` | `XMPP_ADAPTER_NAME`
    `static String` | `XMPP_ADAPTER_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualFireAlarmConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_TYPE

          public static final String DEVICE_TYPE

      See Also:
        Constant Field Values

    - #### DEVICE_PLUGIN_DEVICE_NAME

          public static final String DEVICE_PLUGIN_DEVICE_NAME

      See Also:
        Constant Field Values

    - #### DEVICE_PLUGIN_DEVICE_ID

          public static final String DEVICE_PLUGIN_DEVICE_ID

      See Also:
        Constant Field Values

    - #### STATE_ON

          public static final String STATE_ON

      See Also:
        Constant Field Values

    - #### STATE_OFF

          public static final String STATE_OFF

      See Also:
        Constant Field Values

    - #### URL_PREFIX

          public static final String URL_PREFIX

      See Also:
        Constant Field Values

    - #### BULB_CONTEXT

          public static final String BULB_CONTEXT

      See Also:
        Constant Field Values

    - #### POLICY_CONTEXT

          public static final String POLICY_CONTEXT

      See Also:
        Constant Field Values

    - #### TEMPERATURE_EVENT_TABLE

          public static final String TEMPERATURE_EVENT_TABLE

      See Also:
        Constant Field Values

    - #### DEVICE_TYPE_PROVIDER_DOMAIN

          public static final String DEVICE_TYPE_PROVIDER_DOMAIN

      See Also:
        Constant Field Values

    - #### MQTT_ADAPTER_NAME

          public static final String MQTT_ADAPTER_NAME

      See Also:
        Constant Field Values

    - #### MQTT_ADAPTER_TYPE

          public static final String MQTT_ADAPTER_TYPE

      See Also:
        Constant Field Values

    - #### ADAPTER_TOPIC_PROPERTY

          public static final String ADAPTER_TOPIC_PROPERTY

      See Also:
        Constant Field Values

    - #### MQTT_PORT

          public static final String MQTT_PORT

      See Also:
        Constant Field Values

    - #### MQTT_BROKER_HOST

          public static final String MQTT_BROKER_HOST

      See Also:
        Constant Field Values

    - #### CARBON_CONFIG_PORT_OFFSET

          public static final String CARBON_CONFIG_PORT_OFFSET

      See Also:
        Constant Field Values

    - #### DEFAULT_CARBON_LOCAL_IP_PROPERTY

          public static final String DEFAULT_CARBON_LOCAL_IP_PROPERTY

      See Also:
        Constant Field Values

    - #### CARBON_DEFAULT_PORT_OFFSET

          public static final int CARBON_DEFAULT_PORT_OFFSET

      See Also:
        Constant Field Values

    - #### DEFAULT_MQTT_PORT

          public static final int DEFAULT_MQTT_PORT

      See Also:
        Constant Field Values

    - #### XMPP_ADAPTER_NAME

          public static final String XMPP_ADAPTER_NAME

      See Also:
        Constant Field Values

    - #### XMPP_ADAPTER_TYPE

          public static final String XMPP_ADAPTER_TYPE

      See Also:
        Constant Field Values

    - #### PASSWORD_PROPERTY_KEY

          public static final String PASSWORD_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### JID_PROPERTY_KEY

          public static final String JID_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### CLIENT_JID_PROPERTY_KEY

          public static final String CLIENT_JID_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### SUBJECT_PROPERTY_KEY

          public static final String SUBJECT_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### MESSAGE_TYPE_PROPERTY_KEY

          public static final String MESSAGE_TYPE_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### CHAT_PROPERTY_KEY

          public static final String CHAT_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### USERNAME_PROPERTY_KEY

          public static final String USERNAME_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### DCR_PROPERTY_KEY

          public static final String DCR_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### BROKER_URL_PROPERTY_KEY

          public static final String BROKER_URL_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### SCOPES_PROPERTY_KEY

          public static final String SCOPES_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### QOS_PROPERTY_KEY

          public static final String QOS_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### CLIENT_ID_PROPERTY_KEY

          public static final String CLIENT_ID_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### CLEAR_SESSION_PROPERTY_KEY

          public static final String CLEAR_SESSION_PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### TOPIC

          public static final String TOPIC

      See Also:
        Constant Field Values

    - #### SUBSCRIBED_TOPIC

          public static final String SUBSCRIBED_TOPIC

      See Also:
        Constant Field Values

    - #### CONTENT_VALIDATION

          public static final String CONTENT_VALIDATION

      See Also:
        Constant Field Values

    - #### CONTENT_TRANSFORMATION

          public static final String CONTENT_TRANSFORMATION

      See Also:
        Constant Field Values

    - #### RESOURCE

          public static final String RESOURCE

      See Also:
        Constant Field Values

    - #### JSON_SERIAL_KEY

          public static final String JSON_SERIAL_KEY

      See Also:
        Constant Field Values

    - #### TEMPERATURE_STREAM_DEFINITION

          public static final String TEMPERATURE_STREAM_DEFINITION

      See Also:
        Constant Field Values

    - #### JSON_MESSAGE_KEY

          public static final String JSON_MESSAGE_KEY

      See Also:
        Constant Field Values

    - #### JSON_SIGNATURE_KEY

          public static final String JSON_SIGNATURE_KEY

      See Also:
        Constant Field Values

    - #### HOST_KEY

          public static final String HOST_KEY

      See Also:
        Constant Field Values

    - #### PORT_KEY

          public static final String PORT_KEY

      See Also:
        Constant Field Values

    - #### SERVER_NAME

          public static final String SERVER_NAME

      See Also:
        Constant Field Values

    - #### MQTT_ADAPTER_TOPIC_PROPERTY_NAME

          public static final String MQTT_ADAPTER_TOPIC_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### APIM_APPLICATION_TOKEN_VALIDITY_PERIOD

          public static final String APIM_APPLICATION_TOKEN_VALIDITY_PERIOD

      See Also:
        Constant Field Values

    - #### PERM_ENROLL_FIRE_ALARM

          public static final String PERM_ENROLL_FIRE_ALARM

      See Also:
        Constant Field Values

    - #### PERM_OWNING_DEVICE_VIEW

          public static final String PERM_OWNING_DEVICE_VIEW

      See Also:
        Constant Field Values

    - #### ROLE_NAME

          public static final String ROLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VirtualFireAlarmConstants

          public VirtualFireAlarmConstants()

Copyright © 2017 WSO2. All rights reserved.